<div class="page" ng-class="{'modal-dbopen':modal.openNoise, 'modal-timer-open':modal.showTimer}">
    <header style="height: auto;" class="topbar-services {{category.backgroundColor}}">
        <div class="topbar-services-wrap">
            <div class="topbar-icon"><img ng-src="assets/img3.0/{{category.image}}" alt="topbar icon"></div>
            <div class="topbar-info">
                <h3 class="header-title fz21-R">{{ (currentLang == 'ar') ? category.titleAR :  category.title }}</h3>
                <p class="header-text fz15-R">{{ (currentLang == 'ar') ? category.descriptionAR :  category.description  }}</p>
            </div>
            <a class="header-icon" ng-click="goBack()" ></a>
        </div>
    </header>
    <div class="service-info w-100 ">

        <div class="service-infoBody" style="padding-top: 10px;">
            <div class="services-list" style="align-items: center">
                <span class="list-icon">
                    <img src="assets/img3.0/{{category.gear}}" alt="service icon">
                </span>
                <div class="list-link">
                    <a class="fz18-B list-link greyishBrown" href="#">{{ (currentLang == 'ar' ) ? service.service_title_ar : service.service_title_en}} </a>
                </div>
                <div>
                    <div ng-click="addToFavourite()" class="click">
                        <span id="span-star" class="fa fa-star-o"></span>
                        <div class="ring"></div>
                        <div class="ring2"></div>
                        <!--<p class="info">Added to favourites!</p>-->
                    </div>
                </div>
            </div>
            <div class="service-description" style="padding-top: 10px;">
                <span class="greyishBrown">
                    {{(currentLang == 'ar')? service.description_ar : service.description_en}}
                </span>
            </div>
            <div class="devider"></div>
            <div class="request-iconHolder mb-4">
                <img  src="assets/img3.0/timer.png" alt="service icon">

                <div class="circularSTD fz16-R requestdetails">
                    <div class="circularSTDbook fz16-R">{{ 'Resolution time' | translate }}:</div>
                </div>
                <div class="circularSTDmedium request-detailsD">{{ service.CalculatedSLA }} {{ 'working days' | translate }}</div>
            </div>
            <div class="request-iconHolder">
                <img src="assets/img3.0/icons8Building.svg" alt="service icon" class="buildingIcon">
                <div class="circularSTD fz16-R requestdetails">
                    <div class="circularSTDbook fz16-R">{{ 'Responsible department' | translate }}:</div>
                </div>
                <div class="circularSTDmedium request-detailsD">{{ (currentLang == 'ar') ? service.organization_unit_ar : service.organization_unit_en }}</div>
            </div>
            <div class="devider mb-0"></div>
            <a ng-if="!isNoiseService && !sourceType" class="btn {{category.backgroundColor}} btn-service-big fz17-B"
               ng-click="goTo(service, category)" href="#">{{ 'REQUEST SERVICE' | translate }}</a>
            <a ng-if="!isNoiseService && sourceType" class="btn {{category.backgroundColor}} btn-service-big fz17-B"
               ng-click="searchByImage()" href="#">{{ 'REQUEST SERVICE' | translate }}</a>
            <a ng-if="isNoiseService" class="btn {{category.backgroundColor}} btn-service-big fz17-B"
               ng-click="startDetectingNoise()" href="#">{{ 'DETECT NOISE' | translate }}</a>
        </div>
    </div>
    <div class="dbMeter-modal dbMeter-modal-ios">
        <div class="lightbox" style="height: auto;">
            <h2 id="noise" class="fz24-R text-center"></h2>
            <br>
            <div class="fz17-R text-center">
                {{ 'Detecting noise...' | translate }}<br>
            </div>
            <br>
            <div class="fz17-R text-center">
                <div class="main-content" style="padding: 0;">
                    <div>
                        <div id="db-meter">
                            <div id="left-meter" style="" class="left">
                                <div id="u12" class="unit"></div>
                                <div id="u11" class="unit"></div>
                                <div id="u10" class="unit"></div>
                                <div id="u9" class="unit "></div>
                                <div id="u8" class="unit "></div>
                                <div id="u7" class="unit "></div>
                                <div id="u6" class="unit "></div>
                                <div id="u5" class="unit "></div>
                                <div id="u4" class="unit "></div>
                                <div id="u3" class="unit "></div>
                                <div id="u2" class="unit "></div>
                                <div id="u1" class="unit "></div>
                            </div>
                        </div>
                        <!--<ul class="waste-list">
                            <li class="waste-item">
                            <span class="list-icon">
                                <img alt="service icon" src="assets/img3.0/{{category.gear}}">
                            </span>
                                <a ng-click="checkGPS()"
                                   class="list-link fz16-R noIcon "
                                   href="#">{{ (currentLang == 'ar' ) ? service.service_title_ar :
                                    service.service_title_en}}</a>
                            </li>
                        </ul>-->
                    </div>
                </div>
            </div>
            <!--<div ui-sref="serviceDetails({service: noiseService, category: noiseCategory, from: 'dashboard'})" ng-if="LoudNoise" class="fz17-R text-center" >
                <p>{{ (currentLang =='ar' ) ? noiseService.service_title_ar : noiseService.service_title_en}}</p>
            </div>-->
            <br>
            <div class="form-footer">
                <a class="btn btn-outline-primary"
                   ng-click="modal.openNoise = !modal.openNoise; stopDetectingNoise();"
                   style="min-width: 190px;margin: 10px auto;">{{ 'Cancel' | translate }}</a>
            </div>
        </div>
    </div>
    <div class="timer-modal">
        <div class="lightbox" style="height: auto;">
            <h2 id="timer" class="fz24-R text-center">{{timer}} {{ 'Seconds' | translate }}</h2>
            <br>
            <div class="fz17-R text-center">
                {{ 'Recording_Noise' | translate }}<br>
            </div>
            <br>
            <div class="fz17-R text-center">
                <div class="main-content" style="padding: 0;">
                    <div>
                        <div id="progressTimer"></div>
                    </div>
                </div>
            </div>

            <br>
            <!--<div class="form-footer">
                <a class="btn btn-outline-primary"
                   ng-click=""
                   style="min-width: 190px;margin: 10px auto;">{{ 'Cancel' | translate }}</a>
            </div>-->
        </div>
    </div>
</div>